Subject: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Stefan Monnier <[email-masked]>
Date: Sun, 10 Nov 2013 08:46:47 -0500

> That restriction is general for Emacs, and it generally makes sense.

It makes sense, but it would also be desirable to make it customizable.

> It does not necessarily make sense during Isearch, however.  Why?

To some extent I can see that it is slightly different in the Isearch
context.  I'm not sure if it is sufficiently different to justify
changing the default in Isearch, but I'm not necessarily opposed to
it either.

IOW, I agree with both feature requests.

> 2. What's more, the lazy highlighting of search hits is even more
> limited currently.  When you scroll to the current limit, there can be
> lots of search hits that are not highlighted.

Yes, that's a bug.

        Stefan